---
title: Presentation.defaultRequest
slug: Web/API/Presentation/defaultRequest
tags:
  - API
  - Presentation
  - Property
  - Reference
  - Web
---
<p>{{SeeCompatTable}}{{securecontext_header}}{{APIRef("Presentation API")}}</p>

<p><span class="seoSummary">In a <a class="internalDFN" href="https://www.w3.org/TR/presentation-api/#dfn-controlling-user-agent">controlling user agent</a>, the <dfn><code>defaultRequest</code></dfn> attribute <em>MUST</em> return the <a class="internalDFN" href="https://www.w3.org/TR/presentation-api/#dfn-default-presentation-request">default presentation request</a> if any, otherwise <code>null</code>. In a <a class="internalDFN" href="https://www.w3.org/TR/presentation-api/#dfn-receiving-browsing-context">receiving browsing context</a>, it <em>MUST</em> return <code>null</code>.</span></p>

<p>If set by the <a class="internalDFN" href="https://www.w3.org/TR/presentation-api/#dfn-controller">controller</a>, the value of the <code>defaultRequest</code> attribute <em>SHOULD</em> be used by the <a class="internalDFN" href="https://www.w3.org/TR/presentation-api/#dfn-controlling-user-agent">controlling user agent</a> as the <dfn>default presentation request</dfn> for that <a class="internalDFN" href="https://www.w3.org/TR/presentation-api/#dfn-controlling-browsing-context">controlling browsing context</a>. If the document object's <a class="internalDFN" href="https://www.w3.org/TR/presentation-api/#dfn-active-sandboxing-flag-set">active sandboxing flag set</a> has the <a class="internalDFN" href="https://www.w3.org/TR/presentation-api/#sandboxed-presentation-browsing-context-flag">sandboxed presentation browsing context flag</a> set, the <a class="internalDFN" href="https://www.w3.org/TR/presentation-api/#dfn-controlling-user-agent">controlling user agent</a> <em>SHOULD</em> act as if the default request is not set for that browsing context. When the <a class="internalDFN" href="https://www.w3.org/TR/presentation-api/#dfn-controlling-user-agent">controlling user agent</a> wishes to initiate a {{DOMxRef("PresentationConnection")}} on the behalf of that browsing context, it <em>MUST</em> <a class="internalDFN" href="https://www.w3.org/TR/presentation-api/#dfn-start-a-presentation">start a presentation</a> using the <a class="internalDFN" href="https://www.w3.org/TR/presentation-api/#dfn-default-presentation-request">default presentation request</a> for the <a class="internalDFN" href="https://www.w3.org/TR/presentation-api/#dfn-controller">controller</a> (as if the controller had called {{DOMxRef("PresentationRequest.start","defaultRequest.start()")}}).</p>

<p>The <a class="internalDFN" href="https://www.w3.org/TR/presentation-api/#dfn-controlling-user-agent">controlling user agent</a> <em>SHOULD</em> initiate presentation using the <a class="internalDFN" href="https://www.w3.org/TR/presentation-api/#dfn-default-presentation-request">default presentation request</a>, only when the user has expressed an intention to do so via a user gesture. For example, by clicking a button in the browser.</p>

<div class="note">
<p><strong>Note: </strong>Some <a class="internalDFN" href="https://www.w3.org/TR/presentation-api/#dfn-controlling-user-agent">controlling user agents</a> may allow the user to initiate a default <a class="internalDFN" href="https://www.w3.org/TR/presentation-api/#dfn-presentation-connection">presentation connection</a> and select a <a class="internalDFN" href="https://www.w3.org/TR/presentation-api/#dfn-presentation-display">presentation display</a> with the same user gesture. For example, the browser chrome could allow the user to pick a display from a menu, or allow the user to tap on an <a href="https://nfc-forum.org/">Near Field Communications (NFC)</a> enabled display. In this case, when the <a class="internalDFN" href="https://www.w3.org/TR/presentation-api/#dfn-controlling-user-agent">controlling user agent</a> asks for permission while <a class="internalDFN" href="https://www.w3.org/TR/presentation-api/#dfn-start-a-presentation">starting a presentation</a>, the browser could offer that display as the default choice, or consider the gesture as granting permission for the display and bypass display selection entirely.</p>
</div>

<div class="note">
<p><strong>Note:</strong> If a <a class="internalDFN" href="https://www.w3.org/TR/presentation-api/#dfn-controlling-user-agent">controlling user agent</a> does not support initiation of a <a class="internalDFN" href="https://www.w3.org/TR/presentation-api/#dfn-presentation-connection">presentation connection</a> from the browser chrome, setting <code>defaultRequest</code> will have no effect.</p>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("Presentation","#dom-presentation-defaultrequest","defaultRequest")}}</td>
   <td>{{Spec2("Presentation")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<p>{{Compat("api.Presentation.defaultRequest")}}</p>
